Index: audio/linux-f10-alsa-lib/Makefile
===================================================================
--- audio/linux-f10-alsa-lib/Makefile	(revision 308949)
+++ audio/linux-f10-alsa-lib/Makefile	(working copy)
@@ -12,6 +12,8 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}-${RPMVERSION}
 MAINTAINER=	emulation@FreeBSD.org
 COMMENT=	Advanced Linux Sound Architecture libraries (Linux Fedora 10)
 
+RUN_DEPENDS=	${LOCALBASE}/etc/asound.conf:${PORTSDIR}/audio/alsa-lib
+
 CONFLICTS=	linux-alsa-lib-[0-9]* linux-f8-alsa-lib-[0-9]*
 
 ONLY_FOR_ARCHS=	i386 amd64
@@ -21,4 +23,11 @@ RPMVERSION=	2.fc10
 BRANDELF_FILES=	usr/bin/aserver
 USE_LDCONFIG=	yes
 
+# We will use native configuration file, so delete the linux one
+post-extract:
+	@${RM} -r ${WRKSRC}/etc
+
+post-install:
+	@${LN} -fs ${LOCALBASE}/etc/asound.conf ${PREFIX}/etc
+
 .include <bsd.port.mk>
Index: audio/linux-f10-alsa-plugins-oss/Makefile
===================================================================
--- audio/linux-f10-alsa-plugins-oss/Makefile	(revision 308949)
+++ audio/linux-f10-alsa-plugins-oss/Makefile	(working copy)
@@ -23,16 +23,8 @@ RPMVERSION=	3.fc10
 SRC_DISTFILES=	${PORTNAME:S/-oss//}-${PORTVERSION}-${RPMVERSION}${SRC_SUFX}
 USE_LDCONFIG=	yes
 
-CONF_FILE=	etc/alsa/pcm/pcm-oss.conf
+# We will use native configuration file, so delete the linux one
+post-extract:
+	@${RM} -r ${WRKSRC}/etc
 
-post-patch:
-	@${RM} ${WRKSRC}/${CONF_FILE}.orig
-	@${MV} ${WRKSRC}/${CONF_FILE} ${WRKSRC}/${CONF_FILE}-dist
-
-post-install:
-	@if [ ! -f ${PREFIX}/${CONF_FILE} ]; then \
-		${CP} -p ${PREFIX}/${CONF_FILE}-dist ${PREFIX}/${CONF_FILE} ; \
-	fi
-	PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-
 .include <bsd.port.mk>
Index: audio/linux-f10-alsa-plugins-oss/files/patch-pcm-oss.conf
===================================================================
--- audio/linux-f10-alsa-plugins-oss/files/patch-pcm-oss.conf	(revision 308949)
+++ audio/linux-f10-alsa-plugins-oss/files/patch-pcm-oss.conf	(working copy)
@@ -1,14 +0,0 @@
---- etc/alsa/pcm/pcm-oss.conf.orig	2010-03-23 10:56:41.000000000 +0900
-+++ etc/alsa/pcm/pcm-oss.conf	2010-03-23 10:57:30.000000000 +0900
-@@ -7,3 +7,11 @@
- 		description "Open Sound System"
- 	}
- }
-+
-+ctl.oss {
-+	type oss
-+	device /dev/mixer
-+	hint {
-+		description "Open Sound System"
-+	}
-+}
Index: audio/linux-f10-alsa-plugins-oss/pkg-deinstall
===================================================================
--- audio/linux-f10-alsa-plugins-oss/pkg-deinstall	(revision 308949)
+++ audio/linux-f10-alsa-plugins-oss/pkg-deinstall	(working copy)
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-case "$2" in
-	POST-DEINSTALL)
-		conf=${PKG_PREFIX}/etc/asound.conf
-		if [ ! -f "$conf" ]; then
-			exit 1
-		fi
-		grep -v '/etc/alsa/pcm/pcm-oss\.conf' <$conf >/tmp/asound.conf.new
-		;;
-	*)
-		exit 0
-		;;
-esac
-
-exit 0
Index: audio/linux-f10-alsa-plugins-oss/pkg-install
===================================================================
--- audio/linux-f10-alsa-plugins-oss/pkg-install	(revision 308949)
+++ audio/linux-f10-alsa-plugins-oss/pkg-install	(working copy)
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-case "$2" in
-	POST-INSTALL)
-		conf=${PKG_PREFIX}/etc/asound.conf
-		if [ ! -f "$conf" ]; then
-			exit 1
-		fi
-		awk '{print $0}; /files/ { print "\t\t\t\"/etc/alsa/pcm/pcm-oss.conf\""}' <$conf >/tmp/asound.conf.new
-		mv /tmp/asound.conf.new $conf
-		exit 0
-		;;
-	*)
-		exit 0
-		;;
-esac
-
-exit 0
Index: audio/linux-f10-alsa-plugins-oss/pkg-plist
===================================================================
--- audio/linux-f10-alsa-plugins-oss/pkg-plist	(revision 308949)
+++ audio/linux-f10-alsa-plugins-oss/pkg-plist	(working copy)
@@ -1,13 +1,7 @@
-@unexec if cmp -s %D/etc/alsa/pcm/pcm-oss.conf-dist %D/etc/alsa/pcm/pcm-oss.conf; then rm -f %D/etc/alsa/pcm/pcm-oss.conf; fi
-etc/alsa/pcm/pcm-oss.conf-dist
-@exec if [ ! -f %D/etc/alsa/pcm/pcm-oss.conf ] ; then cp -p %D/%F %B/pcm-oss.conf; fi
 usr/lib/alsa-lib/libasound_module_ctl_oss.so
 usr/lib/alsa-lib/libasound_module_pcm_oss.so
 usr/share/doc/alsa-plugins-oss-1.0.21/COPYING
 usr/share/doc/alsa-plugins-oss-1.0.21/COPYING.GPL
 usr/share/doc/alsa-plugins-oss-1.0.21/README-pcm-oss
 @dirrm usr/share/doc/alsa-plugins-oss-1.0.21
-@dirrmtry etc/alsa/pcm
-@dirrmtry etc/alsa
 @dirrmtry usr/lib/alsa-lib
-@unexec if [ -f %D/etc/asound.conf ]; then fgrep -v '/etc/alsa/pcm/pcm-oss.conf' <%D/etc/asound.conf >/tmp/asound.conf.new; mv /tmp/asound.conf.new %D/etc/asound.conf; fi