--- config/Xreset	cpp47
+++ config/Xreset	clang-cpp
@@ -1,4 +1,6 @@\$
+\$
+\$
 #!/bin/sh\$
 #·Deregister·a·login.·(Derived·from·TakeConsole·as·follows:)\$
 #\$
-/usr/local/bin/sessreg·-d·-w·/var/log/wtmp·-u·/var/run/utmp·\^I-x·/usr/local/lib/X11/xdm/Xservers·-l·$DISPLAY·-h·""·$USER\$
+/usr/local/bin/sessreg·-d·-w·/var/log/wtmp·-u·/var/run/utmp·-x·/usr/local/lib/X11/xdm/Xservers·-l·$DISPLAY·-h·""·$USER\$
--- config/Xresources	cpp47
+++ config/Xresources	clang-cpp
@@ -1,19 +1,21 @@\$
+\$
+\$
 Xcursor.theme:·whiteglass\$
 \$
 \$
 \$
 xlogin*login.translations:·#override·\\\$
-\^ICtrl<Key>R:·abort-display()\\n\\\$
-\^I<Key>F1:·set-session-argument(failsafe)·finish-field()\\n\\\$
-\^I<Key>Delete:·delete-character()\\n\\\$
-\^I<Key>Left:·move-backward-character()\\n\\\$
-\^I<Key>Right:·move-forward-character()\\n\\\$
-\^I<Key>Home:·move-to-begining()\\n\\\$
-\^I<Key>End:·move-to-end()\\n\\\$
-\^ICtrl<Key>KP_Enter:·set-session-argument(failsafe)·finish-field()\\n\\\$
-\^I<Key>KP_Enter:·set-session-argument()·finish-field()\\n\\\$
-\^ICtrl<Key>Return:·set-session-argument(failsafe)·finish-field()\\n\\\$
-\^I<Key>Return:·set-session-argument()·finish-field()\$
+·Ctrl<Key>R:·abort-display()\\n\\\$
+·<Key>F1:·set-session-argument(failsafe)·finish-field()\\n\\\$
+·<Key>Delete:·delete-character()\\n\\\$
+·<Key>Left:·move-backward-character()\\n\\\$
+·<Key>Right:·move-forward-character()\\n\\\$
+·<Key>Home:·move-to-begining()\\n\\\$
+·<Key>End:·move-to-end()\\n\\\$
+·Ctrl<Key>KP_Enter:·set-session-argument(failsafe)·finish-field()\\n\\\$
+·<Key>KP_Enter:·set-session-argument()·finish-field()\\n\\\$
+·Ctrl<Key>Return:·set-session-argument(failsafe)·finish-field()\\n\\\$
+·<Key>Return:·set-session-argument()·finish-field()\$
 \$
 xlogin*greeting:·Welcome·to·CLIENTHOST\$
 xlogin*namePrompt:·\\040\\040\\040\\040\\040\\040\\040Login:\$
@@ -24,19 +26,19 @@ xlogin*greetFont: -adobe-helvetica-bold-\$
 xlogin*font:·-adobe-helvetica-medium-r-normal--18-180-75-75-p-98-iso8859-1\$
 xlogin*promptFont:·-adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1\$
 xlogin*failFont:·-adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1\$
-xlogin*greetFace:\^ISerif-24:bold:italic\$
-xlogin*face:·\^I\^IHelvetica-18\$
-xlogin*promptFace:·\^IHelvetica-18:bold\$
-xlogin*failFace:·\^IHelvetica-18:bold\$
+xlogin*greetFace:·Serif-24:bold:italic\$
+xlogin*face:·Helvetica-18\$
+xlogin*promptFace:·Helvetica-18:bold\$
+xlogin*failFace:·Helvetica-18:bold\$
 #else\$
 xlogin*greetFont:·-adobe-helvetica-bold-o-normal--17-120-100-100-p-92-iso8859-1\$
 xlogin*font:·-adobe-helvetica-medium-r-normal--12-120-75-75-p-67-iso8859-1\$
 xlogin*promptFont:·-adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1\$
 xlogin*failFont:·-adobe-helvetica-bold-o-normal--14-140-75-75-p-82-iso8859-1\$
-xlogin*greetFace:\^ISerif-18:bold:italic\$
-xlogin*face:\^I\^IHelvetica-12\$
-xlogin*promptFace:\^IHelvetica-12:bold\$
-xlogin*failFace:\^IHelvetica-14:bold\$
+xlogin*greetFace:·Serif-18:bold:italic\$
+xlogin*face:·Helvetica-12\$
+xlogin*promptFace:·Helvetica-12:bold\$
+xlogin*failFace:·Helvetica-14:bold\$
 #endif\$
 \$
 #ifdef·COLOR\$
@@ -60,23 +62,23 @@ xlogin*hiColor: black\$
 #endif\$
 \$
 #if·PLANES·>=·8\$
-xlogin*logoFileName:·/usr/local/lib/X11/xdm/pixmaps/xorg.xpm\$
+xlogin*logoFileName:·/usr/local/lib/X11/xdm/pixmaps·/xorg.xpm\$
 #else\$
-xlogin*logoFileName:·/usr/local/lib/X11/xdm/pixmaps/xorg-bw.xpm\$
+xlogin*logoFileName:·/usr/local/lib/X11/xdm/pixmaps·/xorg-bw.xpm\$
 #endif\$
 xlogin*useShape:·true\$
 xlogin*logoPadding:·10\$
 \$
 \$
-XConsole.text.geometry:\^I480x130\$
-XConsole.verbose:\^Itrue\$
-XConsole*iconic:\^Itrue\$
-XConsole*font:\^I\^Ifixed\$
-\$
-Chooser*geometry:\^I\^I700x500+300+200\$
-Chooser*allowShellResize:\^Ifalse\$
-Chooser*viewport.forceBars:\^Itrue\$
-Chooser*label.font:\^I\^I*-new·century·schoolbook-bold-i-normal-*-240-*\$
-Chooser*label.label:\^I\^IXDMCP·Host·Menu·from·CLIENTHOST\$
-Chooser*list.font:\^I\^I-*-*-medium-r-normal-*-*-230-*-*-c-*-iso8859-1\$
-Chooser*Command.font:\^I\^I*-new·century·schoolbook-bold-r-normal-*-180-*\$
+XConsole.text.geometry:·480x130\$
+XConsole.verbose:·true\$
+XConsole*iconic:·true\$
+XConsole*font:·fixed\$
+\$
+Chooser*geometry:·700x500+300+200\$
+Chooser*allowShellResize:·false\$
+Chooser*viewport.forceBars:·true\$
+Chooser*label.font:·*-new·century·schoolbook-bold-i-normal-*-240-*\$
+Chooser*label.label:·XDMCP·Host·Menu·from·CLIENTHOST\$
+Chooser*list.font:·-*-*-medium-r-normal-*-*-230-*-*-c-*-iso8859-1\$
+Chooser*Command.font:·*-new·century·schoolbook-bold-r-normal-*-180-*\$
--- config/Xservers	cpp47
+++ config/Xservers	clang-cpp
@@ -1,12 +1,14 @@\$
+\$
+\$
 #\$
 #·Xservers·file,·workstation·prototype\$
 #\$
 #·This·file·should·contain·an·entry·to·start·the·server·on·the\$
 #·local·display;·if·you·have·more·than·one·display·(not·screen),\$
-#·you·can·add·entries·to·the·list·(one·per·line).··If·you·also\$
+#·you·can·add·entries·to·the·list·(one·per·line).·If·you·also\$
 #·have·some·X·terminals·connected·which·do·not·support·XDMCP,\$
-#·you·can·add·them·here·as·well.··Each·X·terminal·line·should\$
+#·you·can·add·them·here·as·well.·Each·X·terminal·line·should\$
 #·look·like:\$
-#\^IXTerminalName:0·foreign\$
+#·XTerminalName:0·foreign\$
 #\$
 :0·local·/usr/local/bin/X·:0·\$
--- config/Xservers.ws	cpp47
+++ config/Xservers.ws	clang-cpp
@@ -1,12 +1,14 @@\$
+\$
+\$
 #\$
 #·Xservers·file,·workstation·prototype\$
 #\$
 #·This·file·should·contain·an·entry·to·start·the·server·on·the\$
 #·local·display;·if·you·have·more·than·one·display·(not·screen),\$
-#·you·can·add·entries·to·the·list·(one·per·line).··If·you·also\$
+#·you·can·add·entries·to·the·list·(one·per·line).·If·you·also\$
 #·have·some·X·terminals·connected·which·do·not·support·XDMCP,\$
-#·you·can·add·them·here·as·well.··Each·X·terminal·line·should\$
+#·you·can·add·them·here·as·well.·Each·X·terminal·line·should\$
 #·look·like:\$
-#\^IXTerminalName:0·foreign\$
+#·XTerminalName:0·foreign\$
 #\$
 :0·local·/usr/local/bin/X·:0·\$
--- config/Xsession	cpp47
+++ config/Xsession	clang-cpp
@@ -1,3 +1,5 @@\$
+\$
+\$
 #!/bin/sh\$
 #\$
 \$
@@ -6,28 +8,28 @@\$
 errfile="$HOME/.xsession-errors"\$
 if·(·umask·077·&&·cp·/dev/null·"$errfile"·2>·/dev/null·)\$
 then\$
-\^Iexec·>·"$errfile"·2>&1\$
+·exec·>·"$errfile"·2>&1\$
 else\$
 \$
-\^Imktemp=/usr/bin/mktemp\$
-\^Ifor·errfile·in·"${TMPDIR-/tmp}/xses-$USER"·"/tmp/xses-$USER"\$
-\^Ido\$
-\^I\^Iif·ef="$(·umask·077·&&·$mktemp·"$errfile.XXXXXX"·2>·/dev/null)"\$
-\^I\^Ithen\$
-\^I\^I\^Iexec·>·"$ef"·2>&1\$
-\^I\^I\^Imv·"$ef"·"$errfile"·2>·/dev/null\$
-\^I\^I\^Ibreak\$
-\^I\^Ifi\$
-\^Idone\$
+·mktemp=/usr/bin/mktemp\$
+·for·errfile·in·"${TMPDIR-/tmp}/xses-$USER"·"/tmp/xses-$USER"\$
+·do\$
+··if·ef="$(·umask·077·&&·$mktemp·"$errfile.XXXXXX"·2>·/dev/null)"\$
+··then\$
+···exec·>·"$ef"·2>&1\$
+···mv·"$ef"·"$errfile"·2>·/dev/null\$
+···break\$
+··fi\$
+·done\$
 fi\$
 \$
 case·$#·in\$
 1)\$
-\^Icase·$1·in\$
-\^Ifailsafe)\$
-\^I\^Iexec·/usr/local/bin/xterm·-geometry·80x24-0-0\$
-\^I\^I;;\$
-\^Iesac\$
+·case·$1·in\$
+·failsafe)\$
+··exec·/usr/local/bin/xterm·-geometry·80x24-0-0\$
+··;;\$
+·esac\$
 esac\$
 \$
 #·The·startup·script·is·not·intended·to·have·arguments.\$
@@ -36,14 +38,14 @@ startup=$HOME/.xsession\$
 resources=$HOME/.Xresources\$
 \$
 if·[·-s·"$startup"·];·then\$
-\^Iif·[·-x·"$startup"·];·then\$
-\^I\^Iexec·"$startup"\$
-\^Ielse\$
-\^I\^Iexec·/bin/sh·"$startup"\$
-\^Ifi\$
+·if·[·-x·"$startup"·];·then\$
+··exec·"$startup"\$
+·else\$
+··exec·/bin/sh·"$startup"\$
+·fi\$
 else\$
-\^Iif·[·-r·"$resources"·];·then\$
-\^I\^I/usr/local/bin/xrdb·-load·"$resources"\$
-\^Ifi\$
-\^Iexec·/usr/local/bin/xsm\$
+·if·[·-r·"$resources"·];·then\$
+··/usr/local/bin/xrdb·-load·"$resources"\$
+·fi\$
+·exec·/usr/local/bin/xsm\$
 fi\$
--- config/Xstartup	cpp47
+++ config/Xstartup	clang-cpp
@@ -1,4 +1,6 @@\$
+\$
+\$
 #!/bin/sh\$
 #·Register·a·login·(derived·from·GiveConsole·as·follows:)\$
 #\$
-exec·/usr/local/bin/sessreg··-a·-w·/var/log/wtmp·-u·/var/run/utmp·\^I-x·/usr/local/lib/X11/xdm/Xservers·-l·$DISPLAY·-h·""·$USER\$
+exec·/usr/local/bin/sessreg·-a·-w·/var/log/wtmp·-u·/var/run/utmp·-x·/usr/local/lib/X11/xdm/Xservers·-l·$DISPLAY·-h·""·$USER\$
--- config/xdm-config	cpp47
+++ config/xdm-config	clang-cpp
@@ -1,3 +1,5 @@\$
+\$
+\$
 !\$
 !\$
 !\$
@@ -9,31 +11,31 @@\$
 \$
 \$
 \$
-DisplayManager.authDir:\^I/var/lib/xdm\$
-DisplayManager.errorLogFile:\^I/var/log/xdm.log\$
-DisplayManager.pidFile:\^I\^I/var/run/xdm.pid\$
-DisplayManager.keyFile:\^I\^I/usr/local/lib/X11/xdm/xdm-keys\$
-DisplayManager.servers:\^I\^I/usr/local/lib/X11/xdm/Xservers\$
-DisplayManager.accessFile:\^I/usr/local/lib/X11/xdm/Xaccess\$
-DisplayManager*resources:\^I/usr/local/lib/X11/xdm/Xresources\$
-DisplayManager.willing:\^I\^Isu·-m·nobody·-s·/bin/sh·-c·/usr/local/lib/X11/xdm/Xwilling\$
+DisplayManager.authDir:·/var/lib/xdm\$
+DisplayManager.errorLogFile:·/var/log/xdm.log\$
+DisplayManager.pidFile:·/var/run/xdm.pid\$
+DisplayManager.keyFile:·/usr/local/lib/X11/xdm/xdm-keys\$
+DisplayManager.servers:·/usr/local/lib/X11/xdm/Xservers\$
+DisplayManager.accessFile:·/usr/local/lib/X11/xdm/Xaccess\$
+DisplayManager*resources:·/usr/local/lib/X11/xdm/Xresources\$
+DisplayManager.willing:·su·-m·nobody·-s·/bin/sh·-c·/usr/local/lib/X11/xdm/Xwilling\$
 !·All·displays·should·use·authorization,·but·we·cannot·be·sure\$
 !·X·terminals·may·not·be·configured·that·way,·so·they·will·require\$
 !·individual·resource·settings.\$
-DisplayManager*authorize:\^Itrue\$
+DisplayManager*authorize:·true\$
 !\$
-DisplayManager*chooser:\^I\^I/usr/local/lib/X11/xdm/chooser\$
-DisplayManager*startup:\^I\^I/usr/local/lib/X11/xdm/Xstartup\$
-DisplayManager*session:\^I\^I/usr/local/lib/X11/xdm/Xsession\$
-DisplayManager*reset:\^I\^I/usr/local/lib/X11/xdm/Xreset\$
-DisplayManager*authComplain:\^Itrue\$
+DisplayManager*chooser:·/usr/local/lib/X11/xdm/chooser\$
+DisplayManager*startup:·/usr/local/lib/X11/xdm/Xstartup\$
+DisplayManager*session:·/usr/local/lib/X11/xdm/Xsession\$
+DisplayManager*reset:·/usr/local/lib/X11/xdm/Xreset\$
+DisplayManager*authComplain:·true\$
 !·The·following·three·resources·set·up·display·:0·as·the·console.\$
-DisplayManager._0.setup:\^I/usr/local/lib/X11/xdm/Xsetup_0\$
-DisplayManager._0.startup:\^I/usr/local/lib/X11/xdm/GiveConsole\$
-DisplayManager._0.reset:\^I/usr/local/lib/X11/xdm/TakeConsole\$
+DisplayManager._0.setup:·/usr/local/lib/X11/xdm/Xsetup_0\$
+DisplayManager._0.startup:·/usr/local/lib/X11/xdm/GiveConsole\$
+DisplayManager._0.reset:·/usr/local/lib/X11/xdm/TakeConsole\$
 \$
-DisplayManager*loginmoveInterval:\^I10\$
+DisplayManager*loginmoveInterval:·10\$
 \$
 !·SECURITY:·do·not·listen·for·XDMCP·or·Chooser·requests\$
 !·Comment·out·this·line·if·you·want·to·manage·X·terminals·with·xdm\$
-DisplayManager.requestPort:\^I0\$
+DisplayManager.requestPort:·0\$