===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/Makefile ./Makefile
--- /usr/ports/graphics/OpenEXR/Makefile	2012-09-20 16:38:19.000000000 +0200
+++ ./Makefile	2012-10-11 22:30:38.000000000 +0200
@@ -6,42 +6,65 @@
 #
 
 PORTNAME=	OpenEXR
-PORTVERSION=	1.7.0
-DISTNAME=	${PORTNAME:L}-${PORTVERSION}
+PORTVERSION=	1.7.1
 CATEGORIES=	graphics devel
-MASTER_SITES=	${MASTER_SITE_SAVANNAH}
-MASTER_SITE_SUBDIR=	${PORTNAME:L}
+MASTER_SITES=	http://cloud.github.com/downloads/openexr/openexr/
+DISTNAME=	${PORTNAME:L}-${DISTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A high dynamic-range (HDR) image file format
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	High dynamic-range (HDR) image file format
 
-LIB_DEPENDS=	Half.6:${PORTSDIR}/graphics/ilmbase
+LICENSE=	BSD
+
+LIB_DEPENDS=	Imath:${PORTSDIR}/graphics/ilmbase
+
+WRKSRC=		${WRKDIR}/${DISTNAME}
 
 USE_GMAKE=	yes
-USE_GNOME=	pkgconfig
+USE_PKGCONFIG=	build
 USE_LDCONFIG=	yes
 USE_AUTOTOOLS=	libtool
 GNU_CONFIGURE=	YES
 
 CONFIGURE_ARGS+=--enable-imfexamples
 
-OPTIONS_DEFINE=	LARGE_STACK
+# must be explicitely linked with -l{thr|pthread}
+LDFLAGS+=	${PTHREAD_LIBS}
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	AUTHORS ChangeLog NEWS README
+
+DOCSRCDIR2=	${WRKSRC}/doc
+DOC_FILES2=	MultiViewOpenEXR.pdf OpenEXRFileLayout.pdf \
+		ReadingAndWritingImageFiles.pdf TechnicalIntroduction.pdf
+
+OPTIONS_DEFINE=		LARGE_STACK
 LARGE_STACK_DESC=	Enable sys-dependant large stack optimizations
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MLARGE_STACK}
 CONFIGURE_ARGS+=--enable-large-stack
 .endif
 
-# must be explicitely linked with -l{thr|pthread}
-LDFLAGS+=	${PTHREAD_LIBS}
-
-WRKSRC=		${WRKDIR}/${DISTNAME}
+post-patch:
+	@${REINPLACE_CMD} -e 's|examplesdir = $$(datadir)/doc/OpenEXR-@OPENEXR_VERSION@/examples|examplesdir = $$(prefix)/share/examples/OpenEXR|' \
+		${WRKSRC}/IlmImfExamples/Makefile.in
+	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = $$(prefix)/libdata/pkgconfig|' \
+		${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|docdir=$$(datadir)/doc/OpenEXR-@OPENEXR_VERSION@|docdir = $$(datadir)/doc/OpenEXR|' \
+	-e 's|doc_DATA = $$(EXTRA_DIST)|doc_DATA =|' ${WRKSRC}/doc/Makefile.am ${WRKSRC}/doc/Makefile.in
 
 regression-test regression test check:	build
 	@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} check)
 
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR}
+.endif
+
 # IlmImfTest hangs indefinitely
 #
 #.if defined(PACKAGE_BUILDING)
@@ -52,4 +75,4 @@
 #.endif
 #.endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/distinfo ./distinfo
--- /usr/ports/graphics/OpenEXR/distinfo	2012-09-20 16:38:19.000000000 +0200
+++ ./distinfo	2012-10-11 21:08:18.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (openexr-1.7.0.tar.gz) = b68a2164d01bd028d15bd96af2704634a344e291dc7cc2019a662045d8c52ca4
-SIZE (openexr-1.7.0.tar.gz) = 13542910
+SHA256 (openexr-1.7.1.tar.gz) = 692ee6566d49939b2613e63b3afea2d38b871c0202cc829a7e32ced780af55c5
+SIZE (openexr-1.7.1.tar.gz) = 13554138
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/files/patch-IlmImfExamples-Makeilfe.in ./files/patch-IlmImfExamples-Makeilfe.in
--- /usr/ports/graphics/OpenEXR/files/patch-IlmImfExamples-Makeilfe.in	2007-10-07 19:45:39.000000000 +0200
+++ ./files/patch-IlmImfExamples-Makeilfe.in	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- IlmImfExamples/Makefile.in.orig	2007-08-04 05:07:13.000000000 +0900
-+++ IlmImfExamples/Makefile.in	2007-10-08 02:22:15.000000000 +0900
-@@ -225,7 +225,7 @@
- 		      rgbaInterfaceTiledExamples.h \
- 		      lowLevelIoExamples.h previewImageExamples.h
- 
--examplesdir = $(datadir)/doc/OpenEXR-@OPENEXR_VERSION@/examples
-+examplesdir = $(prefix)/share/examples/OpenEXR
- examples_DATA = $(imfexamples_SOURCES)
- imfexamplesdir = $(examplesdir)
- all: all-am
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/files/patch-Makefile.in ./files/patch-Makefile.in
--- /usr/ports/graphics/OpenEXR/files/patch-Makefile.in	2007-10-07 19:45:39.000000000 +0200
+++ ./files/patch-Makefile.in	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- Makefile.in.orig	2007-08-04 05:07:15.000000000 +0900
-+++ Makefile.in	2007-10-08 02:14:58.000000000 +0900
-@@ -214,7 +214,7 @@
- 	openexr.m4 \
- 	config.windows/OpenEXRConfig.h
- 
--pkgconfigdir = $(libdir)/pkgconfig
-+pkgconfigdir = $(prefix)/libdata/pkgconfig
- pkgconfig_DATA = OpenEXR.pc
- m4datadir = $(datadir)/aclocal
- m4data_DATA = openexr.m4
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/files/patch-doc-Makefile.in ./files/patch-doc-Makefile.in
--- /usr/ports/graphics/OpenEXR/files/patch-doc-Makefile.in	2007-10-07 19:45:39.000000000 +0200
+++ ./files/patch-doc-Makefile.in	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
---- doc/Makefile.in.orig	2007-08-04 05:07:14.000000000 +0900
-+++ doc/Makefile.in	2007-10-08 02:19:31.000000000 +0900
-@@ -177,7 +177,7 @@
- 	TechnicalIntroduction.pdf \
- 	OpenEXRFileLayout.pdf
- 
--docdir = $(datadir)/doc/OpenEXR-@OPENEXR_VERSION@
-+docdir = $(datadir)/doc/OpenEXR
- doc_DATA = $(EXTRA_DIST)
- all: all-am
- 
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/files/patch-exrenvmap-main.cpp ./files/patch-exrenvmap-main.cpp
--- /usr/ports/graphics/OpenEXR/files/patch-exrenvmap-main.cpp	2010-12-11 00:03:35.000000000 +0100
+++ ./files/patch-exrenvmap-main.cpp	2012-10-04 11:33:46.000000000 +0200
@@ -1,10 +1,10 @@
---- exrenvmap/main.cpp~
-+++ exrenvmap/main.cpp
-@@ -43,6 +43,7 @@
- #include <makeLatLongMap.h>
+--- exrenvmap/main.cpp.orig	2012-07-18 01:27:28.000000000 +0200
++++ exrenvmap/main.cpp	2012-10-04 10:44:12.000000000 +0200
+@@ -46,6 +46,7 @@
  #include <ImfEnvmap.h>
+ #include <ImfHeader.h>
  #include <iostream>
 +#include <cstring>
  #include <exception>
- #include <stdlib.h>
- 
+ #include <string>
+ #include <string.h>
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/files/patch-exrmaketiled-main.cpp ./files/patch-exrmaketiled-main.cpp
--- /usr/ports/graphics/OpenEXR/files/patch-exrmaketiled-main.cpp	2010-12-11 00:03:35.000000000 +0100
+++ ./files/patch-exrmaketiled-main.cpp	2012-10-04 11:35:26.000000000 +0200
@@ -1,10 +1,10 @@
---- exrmaketiled/main.cpp~
-+++ exrmaketiled/main.cpp
+--- exrmaketiled/main.cpp.orig	2012-07-18 01:27:28.000000000 +0200
++++ exrmaketiled/main.cpp	2012-10-04 10:45:18.000000000 +0200
 @@ -44,6 +44,7 @@
  
  #include <iostream>
  #include <exception>
 +#include <cstring>
  #include <string>
+ #include <string.h>
  #include <stdlib.h>
- 
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/pkg-descr ./pkg-descr
--- /usr/ports/graphics/OpenEXR/pkg-descr	2003-01-26 13:39:22.000000000 +0100
+++ ./pkg-descr	2012-10-04 13:21:19.000000000 +0200
@@ -1,18 +1,24 @@
-Industrial Light & Magic(ILM), a division of Lucas Digital
-Ltd. LLC, implemented its own extended dynamic range file
-format in Summer 2000.  The existing 8-bit file format used
-at the time could not accurately reproduce images with
-extreme contrast between the darkest and brightest regions,
-or images with very subtle color gradations.
+OpenEXR is a high dynamic-range (HDR) image file format developed by
+Industrial Light & Magic for use in computer imaging applications.
 
-ILM's extended dynamic range file format has been employed
-successfully in the movies Harry Potter, Men in Black II,
-and Signs. Several shows currently in production at ILM are
-using the new format.
+OpenEXR is used by ILM on all motion pictures currently in production.
+The first movies to employ OpenEXR were Harry Potter and the Sorcerers Stone,
+Men in Black II, Gangs of New York, and Signs. Since then, OpenEXR has become
+ILM's main image file format.
 
-Realizing that various other parties are interested in an
-extended dynamic range file format, ILM decided to polish
-its new file format a bit, and to publish it.  OpenEXR is
-the result.
+OpenEXR's features include:
+* Higher dynamic range and color precision than existing 8- and 10-bit
+  image file formats.
+* Support for 16-bit floating-point, 32-bit floating-point, and 32-bit
+  integer pixels. The 16-bit floating-point format, called "half", is compatible
+  with the half data type in NVIDIA's Cg graphics language and is supported
+  natively on their new GeForce FX and Quadro FX 3D graphics solutions.
+* Multiple lossless image compression algorithms. Some of the included codecs
+  can achieve 2:1 lossless compression ratios on images with film grain.
+* Extensibility. New compression codecs and image types can easily be added
+  by extending the C++ classes included in the OpenEXR software distribution.
+  New image attributes (strings, vectors, integers, etc.) can be added to
+  OpenEXR image headers without affecting backward compatibility with existing
+  OpenEXR applications.
 
 WWW: http://www.openexr.org/
diff -ruN --exclude=CVS /usr/ports/graphics/OpenEXR/pkg-plist ./pkg-plist
--- /usr/ports/graphics/OpenEXR/pkg-plist	2012-09-20 16:38:19.000000000 +0200
+++ ./pkg-plist	2012-10-11 21:18:33.000000000 +0200
@@ -5,10 +5,6 @@
 bin/exrmaketiled
 bin/exrmultiview
 bin/exrstdattr
-lib/libIlmImf.a
-lib/libIlmImf.la
-lib/libIlmImf.so
-lib/libIlmImf.so.6
 include/OpenEXR/ImfAcesFile.h
 include/OpenEXR/ImfArray.h
 include/OpenEXR/ImfAttribute.h
@@ -69,26 +65,36 @@
 include/OpenEXR/ImfWav.h
 include/OpenEXR/ImfXdr.h
 include/OpenEXR/OpenEXRConfig.h
+lib/libIlmImf.a
+lib/libIlmImf.la
+lib/libIlmImf.so
+lib/libIlmImf.so.7
 libdata/pkgconfig/OpenEXR.pc
 share/aclocal/openexr.m4
-%%DOCSDIR%%/MultiViewOpenEXR.pdf
-%%DOCSDIR%%/OpenEXRFileLayout.pdf
-%%DOCSDIR%%/ReadingAndWritingImageFiles.pdf
-%%DOCSDIR%%/TechnicalIntroduction.pdf
-%%EXAMPLESDIR%%/drawImage.cpp
-%%EXAMPLESDIR%%/drawImage.h
-%%EXAMPLESDIR%%/generalInterfaceExamples.cpp
-%%EXAMPLESDIR%%/generalInterfaceExamples.h
-%%EXAMPLESDIR%%/generalInterfaceTiledExamples.cpp
-%%EXAMPLESDIR%%/generalInterfaceTiledExamples.h
-%%EXAMPLESDIR%%/lowLevelIoExamples.cpp
-%%EXAMPLESDIR%%/lowLevelIoExamples.h
-%%EXAMPLESDIR%%/main.cpp
-%%EXAMPLESDIR%%/previewImageExamples.cpp
-%%EXAMPLESDIR%%/previewImageExamples.h
-%%EXAMPLESDIR%%/rgbaInterfaceExamples.cpp
-%%EXAMPLESDIR%%/rgbaInterfaceExamples.h
-%%EXAMPLESDIR%%/rgbaInterfaceTiledExamples.cpp
-%%EXAMPLESDIR%%/rgbaInterfaceTiledExamples.h
-@dirrm %%EXAMPLESDIR%%
-@dirrm %%DOCSDIR%%
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/MultiViewOpenEXR.pdf
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/OpenEXRFileLayout.pdf
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/ReadingAndWritingImageFiles.pdf
+%%PORTDOCS%%%%DOCSDIR%%/TechnicalIntroduction.pdf
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/drawImage.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/drawImage.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/generalInterfaceExamples.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/generalInterfaceExamples.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/generalInterfaceTiledExamples.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/generalInterfaceTiledExamples.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/lowLevelIoExamples.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/lowLevelIoExamples.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/main.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/previewImageExamples.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/previewImageExamples.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/rgbaInterfaceExamples.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/rgbaInterfaceExamples.h
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/rgbaInterfaceTiledExamples.cpp
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/rgbaInterfaceTiledExamples.h
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%-1.7.1
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry include/OpenEXR
===> Done