===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/ports/www/jspwiki/Makefile ./Makefile
--- /usr/ports/www/jspwiki/Makefile	2010-05-21 14:08:27.000000000 +0200
+++ ./Makefile	2012-10-26 17:03:20.000000000 +0200
@@ -7,40 +7,64 @@
 
 PORTNAME=	jspwiki
 PORTVERSION=	2.8.4
+PORTREVISION=	1
 CATEGORIES=	www java
 MASTER_SITES=	http://www.ecyrd.com/~jalkanen/JSPWiki/${PORTVERSION}/
 DISTNAME=	JSPWiki-${PORTVERSION}-bin
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A feature-rich and extensible Wiki engine built around J2EE
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Feature-rich and extensible Wiki engine built around J2EE
 
-RUN_DEPENDS=	${TOMCATDIR}:${PORTSDIR}/www/tomcat55
+LICENSE=	AL2
+
+WRKSRC=		${WRKDIR}/JSPWiki
 
 USE_ZIP=	yes
 USE_JAVA=	1.5+
-
 NO_BUILD=	yes
-TOMCATVER=	tomcat5.5
+
 TOMCATDIR=	${PREFIX}/${TOMCATVER}
-TOMCATOWN=	www
-TOMCATGRP=	www
+APPHOME=	${LOCALBASE}/${TOMCATVER}
 WEBAPPDIR=	${TOMCATDIR}/webapps
-PORTDOCS=	LICENSE README ReleaseNotes
-PLIST_FILES=	${TOMCATVER}/webapps/JSPWiki.war
-WRKSRC=		${WRKDIR}/JSPWiki
+
+PORTDOCS=	ChangeLog README ReleaseNotes JSPWiki-*.zip
+
+PLIST_SUB=	TOMCATDIR=${TOMCATDIR:S|^${PREFIX}/||}
+
+OPTIONS_SINGLE=	AS
+OPTIONS_SINGLE_AS=	TOMCAT6 TOMCAT7
+OPTIONS_DEFAULT=	TOMCAT6
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MTOMCAT6}
+TOMCATVER=	apache-tomcat-6.0
+BUILD_DEPENDS+=	${APPHOME}/bin/bootstrap.jar:${PORTSDIR}/www/tomcat6
+RUN_DEPENDS+=	${APPHOME}/bin/bootstrap.jar:${PORTSDIR}/www/tomcat6
+.endif
+
+.if ${PORT_OPTIONS:MTOMCAT7}
+TOMCATVER=	apache-tomcat-7.0
+BUILD_DEPENDS+=	${APPHOME}/bin/bootstrap.jar:${PORTSDIR}/www/tomcat7
+RUN_DEPENDS+=	${APPHOME}/bin/bootstrap.jar:${PORTSDIR}/www/tomcat7
+.endif
+
+post-extract:
+	${MKDIR} ${WRKDIR}/${PORTNAME}
+	${TAR} xf ${WRKSRC}/JSPWiki.war -C ${WRKDIR}/${PORTNAME}
 
 do-install:
-	cd ${WRKSRC} && \
-		${INSTALL} -g ${TOMCATGRP} -o ${TOMCATOWN} -m 444 JSPWiki.war ${WEBAPPDIR};
+	${INSTALL} -d -o ${WWWOWN} -g ${WWWGRP} ${WEBAPPDIR}/${PORTNAME}
+	@(cd ${WRKDIR}/${PORTNAME} && ${COPYTREE_SHARE} \* ${WEBAPPDIR}/${PORTNAME})
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.for i in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
-.endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 post-install:
+	@${ECHO_CMD}
 	@${CAT} ${PKGMESSAGE}
+	@${ECHO_CMD}
 
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/www/jspwiki/pkg-descr ./pkg-descr
--- /usr/ports/www/jspwiki/pkg-descr	2009-05-01 23:41:06.000000000 +0200
+++ ./pkg-descr	2012-10-23 23:00:30.000000000 +0200
@@ -1,10 +1,10 @@
 JSPWiki is a feature-rich and extensible WikiWiki engine built
-around the standard J2EE components (Java,servlets,JSP).
+around the standard J2EE components (Java, servlets, JSP).
 
-It's features include:WikiMarkup/Structured Text,File attachments,
-Templates support,Data storage,Security,Easy plugin interface for
-writing your own additions,UTF-8 support,JavaServerPages-based,
+It's features include: WikiMarkup/Structured Text, File attachments,
+Templates support, Data storage, Security, Easy plugin interface for
+writing your own additions,UTF-8 support, JavaServer Pages-based,
 Easy-ish installation, Page locking to prevent editing conflicts,
-Support for Multiple Wikis,etc.
+Support for Multiple Wikis, etc.
 
 WWW: http://www.jspwiki.org/
diff -ruN --exclude=CVS /usr/ports/www/jspwiki/pkg-plist ./pkg-plist
--- /usr/ports/www/jspwiki/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ ./pkg-plist	2012-10-26 17:08:44.000000000 +0200
@@ -0,0 +1,236 @@
+%%TOMCATDIR%%/webapps/jspwiki/Captcha.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Comment.jsp
+%%TOMCATDIR%%/webapps/jspwiki/CookieError.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Delete.jsp
+%%TOMCATDIR%%/webapps/jspwiki/DeleteGroup.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Diff.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Edit.jsp
+%%TOMCATDIR%%/webapps/jspwiki/EditGroup.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Error.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Group.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Install.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Login.jsp
+%%TOMCATDIR%%/webapps/jspwiki/LoginForm.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Logout.jsp
+%%TOMCATDIR%%/webapps/jspwiki/LostPassword.jsp
+%%TOMCATDIR%%/webapps/jspwiki/META-INF/MANIFEST.MF
+%%TOMCATDIR%%/webapps/jspwiki/Message.jsp
+%%TOMCATDIR%%/webapps/jspwiki/NewBlogEntry.jsp
+%%TOMCATDIR%%/webapps/jspwiki/NewGroup.jsp
+%%TOMCATDIR%%/webapps/jspwiki/PageInfo.jsp
+%%TOMCATDIR%%/webapps/jspwiki/PageModified.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Preview.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Rename.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Search.jsp
+%%TOMCATDIR%%/webapps/jspwiki/SisterSites.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Upload.jsp
+%%TOMCATDIR%%/webapps/jspwiki/UserPreferences.jsp
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/classes/oscache.properties
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/dtd/web-app_2_3.dtd
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/geronimo-web.xml
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/groupdatabase.xml
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/jspwiki.policy
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/jspwiki.properties
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/jspwiki.tld
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/jstl-fmt.tld
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/JSPWiki.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/activation.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/akismet-java-1.02.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/commons-codec-1.3.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/commons-fileupload-1.2.1.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/commons-httpclient-3.0.1.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/commons-io-1.4.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/commons-lang-2.3.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/commons-logging-api.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/ecs.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/freshcookies-security-0.60.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/jakarta-tablibs-standard-1.1.2.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/jakarta-taglibs-jstl-1.1.2.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/jaxen.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/jdom.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/jrcs-diff.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/jsonrpc-1.0.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/log4j-1.2.14.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/lucene-highlighter.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/lucene.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/mail.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/nekohtml.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/oro.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/oscache.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/sandler.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/stripes-1.5.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib/xmlrpc.jar
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/oscache.tld
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/userdatabase.xml
+%%TOMCATDIR%%/webapps/jspwiki/WEB-INF/web.xml
+%%TOMCATDIR%%/webapps/jspwiki/Wiki.jsp
+%%TOMCATDIR%%/webapps/jspwiki/Workflow.jsp
+%%TOMCATDIR%%/webapps/jspwiki/admin/Admin.jsp
+%%TOMCATDIR%%/webapps/jspwiki/admin/SecurityConfig.jsp
+%%TOMCATDIR%%/webapps/jspwiki/atom.css
+%%TOMCATDIR%%/webapps/jspwiki/error/Forbidden.html
+%%TOMCATDIR%%/webapps/jspwiki/images/attachment_big.png
+%%TOMCATDIR%%/webapps/jspwiki/images/attachment_small.gif
+%%TOMCATDIR%%/webapps/jspwiki/images/attachment_small.png
+%%TOMCATDIR%%/webapps/jspwiki/images/favicon.ico
+%%TOMCATDIR%%/webapps/jspwiki/images/favicon.png
+%%TOMCATDIR%%/webapps/jspwiki/images/jspwiki-icons.png
+%%TOMCATDIR%%/webapps/jspwiki/images/jspwiki-strip.gif
+%%TOMCATDIR%%/webapps/jspwiki/images/jspwiki_logo.png
+%%TOMCATDIR%%/webapps/jspwiki/images/jspwiki_logo_s.png
+%%TOMCATDIR%%/webapps/jspwiki/images/out.png
+%%TOMCATDIR%%/webapps/jspwiki/images/xml.png
+%%TOMCATDIR%%/webapps/jspwiki/images/xmlCoffeeCup.png
+%%TOMCATDIR%%/webapps/jspwiki/rss.jsp
+%%TOMCATDIR%%/webapps/jspwiki/scripts/fckconfig.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/fckstyles.xml
+%%TOMCATDIR%%/webapps/jspwiki/scripts/fcktemplates.xml
+%%TOMCATDIR%%/webapps/jspwiki/scripts/jspwiki-common.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/jspwiki-commonstyles.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/jspwiki-edit.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/jspwiki-prefs.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/mootools.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/posteditor.js
+%%TOMCATDIR%%/webapps/jspwiki/scripts/prettify.js
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/AJAXCategories.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/AJAXPreview.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/AJAXSearch.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/AttachmentTab.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/CommentContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/ConflictContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/DiffContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/DiffTab.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/DisplayMessage.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/EditContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/EditGroupContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/EditTemplate.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/Favorites.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/FindContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/Footer.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/GroupContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/GroupTab.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/Header.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/InfoContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/LoginContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/NewGroupContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PageActionsBottom.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PageActionsTop.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PageContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PageTab.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PreferencesContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PreferencesTab.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/PreviewContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/ProfileTab.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/SearchBox.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/UploadTemplate.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/UserBox.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/ViewTemplate.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/WorkflowContent.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/admin/AdminTemplate.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/admin/UserManagement.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/admin/admin.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/commonheader.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/editors/FCK.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/editors/plain.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/editors/preview.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/SilkIconSet-readme.txt
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/arrdown.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/arrdownsmall.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/arrup.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/attach-strip.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/book_open.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/editor-strip.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/error.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/exclamation.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/filter.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/information.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/note.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/preview.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/progress.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/resize-horizontal.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/search.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/slimbox_close.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/slimbox_close.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/slimbox_close_hover.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/sortable.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/sorted_down.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/sorted_up.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/spin.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/images/tip.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/jspwiki.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/jspwiki_print.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/localheader.jsp
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/arrdown.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/arrow-close.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/arrow-leaf.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/arrow-open.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/bulletDown.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/bulletUp.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/col_arrow.jpg
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/smart-logo.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/smart-logo.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/sortable.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images/spin.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/skin.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/skin.js
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/PlainVanilla 1024x768/skin.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/PlainVanilla 1024x768/skin.js
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/PlainVanilla/skin.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/PlainVanilla/skin.js
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/application_form.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/book.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/header-bg.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/link.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/page_white_code.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/page_white_code_red.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/picture.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/pilcrow.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/smart-logo.gif
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/smart-logo.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/tab.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/table.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_allcaps.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_bold.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_heading_1.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_heading_2.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_heading_3.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_horizontalrule.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_italic.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_padding_left.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_signature.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_strikethrough.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_subscript.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/text_superscript.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/user.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/user_green.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images/user_orange.png
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/skin.css
+%%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/skin.js
+%%TOMCATDIR%%/webapps/jspwiki/templates/raw/ViewTemplate.jsp
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/raw
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart/images
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/Smart
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/PlainVanilla 1024x768
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/PlainVanilla
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList/images
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins/OrderedList
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/skins
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/images
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/editors
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default/admin
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates/default
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/templates
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/scripts/fckeditor
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/scripts
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/images
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/error
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/applets
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/admin
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/WEB-INF/lib
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/WEB-INF/dtd
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/WEB-INF/classes
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/WEB-INF
+@dirrm %%TOMCATDIR%%/webapps/jspwiki/META-INF
+@dirrm %%TOMCATDIR%%/webapps/jspwiki
+@dirrmtry %%TOMCATDIR%%/webapps
+@dirrmtry %%TOMCATDIR%%
===> Done