===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/ports/games/krank/Makefile ./Makefile
--- /usr/ports/games/krank/Makefile	2012-12-05 00:44:52.000000000 +0100
+++ ./Makefile	2012-12-31 11:40:20.000000000 +0100
@@ -2,12 +2,12 @@
 
 PORTNAME=	krank
 PORTVERSION=	07
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	nemysis@gmx.ch
-COMMENT=	A little casual game
+COMMENT=	Little casual game
 
 LICENSE=	GPLv2
 
@@ -18,38 +18,34 @@
 USE_PYTHON=	yes
 NO_BUILD=	yes
 
-PLIST_FILES=	bin/${PORTNAME} \
-		share/pixmaps/${PORTNAME}.png
-
-PORTDATA=	*
 PORTDOCS=	CHANGELOG.txt README
 
-post-patch:
-	${REINPLACE_CMD} -e 's|`dirname.*|${DATADIR}|' ${WRKSRC}/${PORTNAME}
+DESKTOP_ENTRIES="Krank" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
 
 .include <bsd.port.options.mk>
 
+post-extract:
+	@${FIND} ${WRKSRC} -name .cvsignore -type f -print0 | \
+		${XARGS} -0 ${RM} -rf
+
+post-patch:
+	${REINPLACE_CMD} -e 's|`dirname.*|${DATADIR}|' ${WRKSRC}/${PORTNAME}
+
 do-install:
-# Scripts
 	${INSTALL_SCRIPT} ${WRKSRC}/krank ${PREFIX}/bin
 
-# Data
 	${MKDIR} ${DATADIR}
-.  for d in art fonts html levels sounds src
+.for d in art fonts html levels sounds src
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
-.  endfor
+.endfor
 	${INSTALL_DATA} ${WRKSRC}/krank.iss ${DATADIR}
 	${INSTALL_DATA} ${WRKSRC}/logo.xcf ${DATADIR}
-
-# Pixmaps
 	${INSTALL_DATA} ${WRKSRC}/html/gfx/logo.png ${PREFIX}/share/pixmaps/${PORTNAME}.png
 
-# Documentation
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-.  for f in ${PORTDOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
-.  endfor
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/games/krank/pkg-plist ./pkg-plist
--- /usr/ports/games/krank/pkg-plist	1970-01-01 01:00:00.000000000 +0100
+++ ./pkg-plist	2012-12-31 11:42:20.000000000 +0100
@@ -0,0 +1,315 @@
+bin/krank
+%%DATADIR%%/art/cockpit.xcf
+%%DATADIR%%/art/dots.xcf
+%%DATADIR%%/art/images.xcf
+%%DATADIR%%/art/large_dot.xcf
+%%DATADIR%%/art/logo.xcf
+%%DATADIR%%/fonts/QUIGLEYW.TTF
+%%DATADIR%%/html/credits.html
+%%DATADIR%%/html/gfx/anchor.png
+%%DATADIR%%/html/gfx/dot28_blue.png
+%%DATADIR%%/html/gfx/dot28_orange.png
+%%DATADIR%%/html/gfx/dot28_pink.png
+%%DATADIR%%/html/gfx/dot28_white.png
+%%DATADIR%%/html/gfx/link.png
+%%DATADIR%%/html/gfx/logo.png
+%%DATADIR%%/html/gfx/magnet.png
+%%DATADIR%%/html/gfx/shot01.png
+%%DATADIR%%/html/gfx/shot02.png
+%%DATADIR%%/html/gfx/shot03.png
+%%DATADIR%%/html/gfx/shot04.png
+%%DATADIR%%/html/gfx/shot05.png
+%%DATADIR%%/html/gfx/snake.png
+%%DATADIR%%/html/gfx/stone.png
+%%DATADIR%%/html/help.html
+%%DATADIR%%/html/index.html
+%%DATADIR%%/html/screenshots.html
+%%DATADIR%%/html/styles.css
+%%DATADIR%%/krank.iss
+%%DATADIR%%/levels/__init__.py
+%%DATADIR%%/levels/__init__.pyc
+%%DATADIR%%/levels/backgrounds/Big-E-Mr-G02.jpg
+%%DATADIR%%/levels/backgrounds/Big-E-Mr-G03.jpg
+%%DATADIR%%/levels/backgrounds/Big-E-Mr-G04.jpg
+%%DATADIR%%/levels/backgrounds/Big-E-Mr-G05.jpg
+%%DATADIR%%/levels/backgrounds/Big-E-Mr-G08.jpg
+%%DATADIR%%/levels/backgrounds/Big-E-Mr-G13.jpg
+%%DATADIR%%/levels/backgrounds/GaryP01.jpg
+%%DATADIR%%/levels/backgrounds/GaryP02.jpg
+%%DATADIR%%/levels/backgrounds/GaryP03.jpg
+%%DATADIR%%/levels/backgrounds/GaryP04.jpg
+%%DATADIR%%/levels/backgrounds/IHP01.jpg
+%%DATADIR%%/levels/backgrounds/IHP02.jpg
+%%DATADIR%%/levels/backgrounds/IHP03.jpg
+%%DATADIR%%/levels/backgrounds/IHP05.jpg
+%%DATADIR%%/levels/backgrounds/IHP06.jpg
+%%DATADIR%%/levels/backgrounds/OzBandit01.jpg
+%%DATADIR%%/levels/backgrounds/darkmatter01.jpg
+%%DATADIR%%/levels/backgrounds/darkmatter02.jpg
+%%DATADIR%%/levels/backgrounds/darkmatter02b.jpg
+%%DATADIR%%/levels/backgrounds/kahanaboy01.jpg
+%%DATADIR%%/levels/backgrounds/kahanaboy04.jpg
+%%DATADIR%%/levels/backgrounds/kahanaboy05.jpg
+%%DATADIR%%/levels/backgrounds/kahanaboy06.jpg
+%%DATADIR%%/levels/backgrounds/kahanaboy07.jpg
+%%DATADIR%%/levels/backgrounds/nasirkhan01.jpg
+%%DATADIR%%/levels/backgrounds/nasirkhan02.jpg
+%%DATADIR%%/levels/backgrounds/nasirkhan03.jpg
+%%DATADIR%%/levels/backgrounds/somadjinn01.jpg
+%%DATADIR%%/levels/backgrounds/somadjinn02.jpg
+%%DATADIR%%/levels/backgrounds/somadjinn03.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho01.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho02.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho03.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho04.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho05.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho06.jpg
+%%DATADIR%%/levels/backgrounds/tanakawho07.jpg
+%%DATADIR%%/levels/bonus001.py
+%%DATADIR%%/levels/icons/level001.tga
+%%DATADIR%%/levels/icons/level002.tga
+%%DATADIR%%/levels/icons/level003.tga
+%%DATADIR%%/levels/icons/level004.tga
+%%DATADIR%%/levels/icons/level005.tga
+%%DATADIR%%/levels/icons/level006.tga
+%%DATADIR%%/levels/icons/level007.tga
+%%DATADIR%%/levels/icons/level008.tga
+%%DATADIR%%/levels/icons/level009.tga
+%%DATADIR%%/levels/icons/level010.tga
+%%DATADIR%%/levels/icons/level011.tga
+%%DATADIR%%/levels/icons/level012.tga
+%%DATADIR%%/levels/icons/level013.tga
+%%DATADIR%%/levels/icons/level014.tga
+%%DATADIR%%/levels/icons/level015.tga
+%%DATADIR%%/levels/icons/level016.tga
+%%DATADIR%%/levels/icons/level017.tga
+%%DATADIR%%/levels/icons/level018.tga
+%%DATADIR%%/levels/icons/level019.tga
+%%DATADIR%%/levels/icons/level020.tga
+%%DATADIR%%/levels/icons/level021.tga
+%%DATADIR%%/levels/icons/level022.tga
+%%DATADIR%%/levels/icons/level023.tga
+%%DATADIR%%/levels/icons/level024.tga
+%%DATADIR%%/levels/icons/level025.tga
+%%DATADIR%%/levels/icons/level026.tga
+%%DATADIR%%/levels/icons/level027.tga
+%%DATADIR%%/levels/icons/level028.tga
+%%DATADIR%%/levels/icons/level029.tga
+%%DATADIR%%/levels/icons/level030.tga
+%%DATADIR%%/levels/images/.DS_Store
+%%DATADIR%%/levels/images/circle16.png
+%%DATADIR%%/levels/images/circle22.png
+%%DATADIR%%/levels/images/circle28.png
+%%DATADIR%%/levels/images/circle28_blue.png
+%%DATADIR%%/levels/images/circle28_green.png
+%%DATADIR%%/levels/images/circle28_orange.png
+%%DATADIR%%/levels/images/circle28_pink.png
+%%DATADIR%%/levels/images/circle28_red.png
+%%DATADIR%%/levels/images/circle32.png
+%%DATADIR%%/levels/images/circle40.png
+%%DATADIR%%/levels/images/circle64.png
+%%DATADIR%%/levels/images/cockpit_l_l.png
+%%DATADIR%%/levels/images/cockpit_l_l_2.png
+%%DATADIR%%/levels/images/cockpit_l_m.png
+%%DATADIR%%/levels/images/cockpit_l_m_2.png
+%%DATADIR%%/levels/images/cockpit_l_r.png
+%%DATADIR%%/levels/images/cockpit_l_r_2.png
+%%DATADIR%%/levels/images/cockpit_s_l.png
+%%DATADIR%%/levels/images/cockpit_s_l_2.png
+%%DATADIR%%/levels/images/cockpit_s_m.png
+%%DATADIR%%/levels/images/cockpit_s_m_2.png
+%%DATADIR%%/levels/images/cockpit_s_r.png
+%%DATADIR%%/levels/images/cockpit_s_r_2.png
+%%DATADIR%%/levels/images/cockpit_t_l.png
+%%DATADIR%%/levels/images/cockpit_t_l_2.png
+%%DATADIR%%/levels/images/cockpit_t_m.png
+%%DATADIR%%/levels/images/cockpit_t_m_2.png
+%%DATADIR%%/levels/images/cockpit_t_r.png
+%%DATADIR%%/levels/images/cockpit_t_r_2.png
+%%DATADIR%%/levels/images/dot20_blue.png
+%%DATADIR%%/levels/images/dot20_d_blue.png
+%%DATADIR%%/levels/images/dot20_d_orange.png
+%%DATADIR%%/levels/images/dot20_d_pink.png
+%%DATADIR%%/levels/images/dot20_d_white.png
+%%DATADIR%%/levels/images/dot20_orange.png
+%%DATADIR%%/levels/images/dot20_pink.png
+%%DATADIR%%/levels/images/dot20_s_blue.png
+%%DATADIR%%/levels/images/dot20_s_orange.png
+%%DATADIR%%/levels/images/dot20_s_pink.png
+%%DATADIR%%/levels/images/dot20_s_white.png
+%%DATADIR%%/levels/images/dot20_white.png
+%%DATADIR%%/levels/images/dot28.png
+%%DATADIR%%/levels/images/dot28_blue.png
+%%DATADIR%%/levels/images/dot28_d_blue.png
+%%DATADIR%%/levels/images/dot28_d_orange.png
+%%DATADIR%%/levels/images/dot28_d_pink.png
+%%DATADIR%%/levels/images/dot28_d_white.png
+%%DATADIR%%/levels/images/dot28_orange.png
+%%DATADIR%%/levels/images/dot28_pink.png
+%%DATADIR%%/levels/images/dot28_s_blue.png
+%%DATADIR%%/levels/images/dot28_s_orange.png
+%%DATADIR%%/levels/images/dot28_s_pink.png
+%%DATADIR%%/levels/images/dot28_s_white.png
+%%DATADIR%%/levels/images/dot28_white.png
+%%DATADIR%%/levels/images/dot32_blue.png
+%%DATADIR%%/levels/images/dot32_d_blue.png
+%%DATADIR%%/levels/images/dot32_d_orange.png
+%%DATADIR%%/levels/images/dot32_d_pink.png
+%%DATADIR%%/levels/images/dot32_d_white.png
+%%DATADIR%%/levels/images/dot32_orange.png
+%%DATADIR%%/levels/images/dot32_pink.png
+%%DATADIR%%/levels/images/dot32_s_blue.png
+%%DATADIR%%/levels/images/dot32_s_orange.png
+%%DATADIR%%/levels/images/dot32_s_pink.png
+%%DATADIR%%/levels/images/dot32_s_white.png
+%%DATADIR%%/levels/images/dot32_white.png
+%%DATADIR%%/levels/images/icon64x64.png
+%%DATADIR%%/levels/images/menu_orange.png
+%%DATADIR%%/levels/images/menu_small_orange.png
+%%DATADIR%%/levels/images/menu_small_white.png
+%%DATADIR%%/levels/images/menu_white.png
+%%DATADIR%%/levels/images/spark.png
+%%DATADIR%%/levels/level001.py
+%%DATADIR%%/levels/level001.pyc
+%%DATADIR%%/levels/level002.py
+%%DATADIR%%/levels/level002.pyc
+%%DATADIR%%/levels/level003.py
+%%DATADIR%%/levels/level003.pyc
+%%DATADIR%%/levels/level004.py
+%%DATADIR%%/levels/level005.py
+%%DATADIR%%/levels/level006.py
+%%DATADIR%%/levels/level007.py
+%%DATADIR%%/levels/level008.py
+%%DATADIR%%/levels/level009.py
+%%DATADIR%%/levels/level010.py
+%%DATADIR%%/levels/level011.py
+%%DATADIR%%/levels/level012.py
+%%DATADIR%%/levels/level013.py
+%%DATADIR%%/levels/level014.py
+%%DATADIR%%/levels/level015.py
+%%DATADIR%%/levels/level016.py
+%%DATADIR%%/levels/level017.py
+%%DATADIR%%/levels/level018.py
+%%DATADIR%%/levels/level019.py
+%%DATADIR%%/levels/level020.py
+%%DATADIR%%/levels/level021.py
+%%DATADIR%%/levels/level022.py
+%%DATADIR%%/levels/level023.py
+%%DATADIR%%/levels/level024.py
+%%DATADIR%%/levels/level025.py
+%%DATADIR%%/levels/level026.py
+%%DATADIR%%/levels/level027.py
+%%DATADIR%%/levels/level028.py
+%%DATADIR%%/levels/level029.py
+%%DATADIR%%/levels/level030.py
+%%DATADIR%%/levels/menu.py
+%%DATADIR%%/levels/menu.pyc
+%%DATADIR%%/levels/menu_credits.py
+%%DATADIR%%/levels/menu_levels.py
+%%DATADIR%%/levels/menu_levels2.py
+%%DATADIR%%/levels/menu_levels3.py
+%%DATADIR%%/levels/menu_play.py
+%%DATADIR%%/levels/menu_scores.py
+%%DATADIR%%/levels/menu_scores1.py
+%%DATADIR%%/levels/menu_scores2.py
+%%DATADIR%%/levels/menu_scores3.py
+%%DATADIR%%/levels/menu_screen.py
+%%DATADIR%%/levels/menu_sound.py
+%%DATADIR%%/levels/menu_sound.pyc
+%%DATADIR%%/logo.xcf
+%%DATADIR%%/sounds/industry/anchor_action.wav
+%%DATADIR%%/sounds/industry/atmo.ogg
+%%DATADIR%%/sounds/industry/exit.wav
+%%DATADIR%%/sounds/industry/link.wav
+%%DATADIR%%/sounds/industry/magnet_action.wav
+%%DATADIR%%/sounds/industry/magnet_off.wav
+%%DATADIR%%/sounds/industry/magnet_on.wav
+%%DATADIR%%/sounds/industry/magnet_start.wav
+%%DATADIR%%/sounds/industry/part.wav
+%%DATADIR%%/sounds/industry/unlink.wav
+%%DATADIR%%/sounds/industry/wall.wav
+%%DATADIR%%/sounds/menu/exit.wav
+%%DATADIR%%/sounds/menu/industry.ogg
+%%DATADIR%%/sounds/menu/part.wav
+%%DATADIR%%/sounds/menu/space.ogg
+%%DATADIR%%/sounds/menu/summer.ogg
+%%DATADIR%%/sounds/menu/wall.wav
+%%DATADIR%%/sounds/menu/water.ogg
+%%DATADIR%%/sounds/space/anchor_action.wav
+%%DATADIR%%/sounds/space/atmo.ogg
+%%DATADIR%%/sounds/space/exit.wav
+%%DATADIR%%/sounds/space/link.wav
+%%DATADIR%%/sounds/space/magnet_action.wav
+%%DATADIR%%/sounds/space/magnet_off.wav
+%%DATADIR%%/sounds/space/magnet_on.wav
+%%DATADIR%%/sounds/space/magnet_start.wav
+%%DATADIR%%/sounds/space/part.wav
+%%DATADIR%%/sounds/space/unlink.wav
+%%DATADIR%%/sounds/space/wall.wav
+%%DATADIR%%/sounds/summer/anchor_action.wav
+%%DATADIR%%/sounds/summer/atmo.ogg
+%%DATADIR%%/sounds/summer/exit.wav
+%%DATADIR%%/sounds/summer/link.wav
+%%DATADIR%%/sounds/summer/magnet_action.wav
+%%DATADIR%%/sounds/summer/magnet_off.wav
+%%DATADIR%%/sounds/summer/magnet_on.wav
+%%DATADIR%%/sounds/summer/magnet_start.wav
+%%DATADIR%%/sounds/summer/part.wav
+%%DATADIR%%/sounds/summer/unlink.wav
+%%DATADIR%%/sounds/summer/wall.wav
+%%DATADIR%%/sounds/water/anchor_action.wav
+%%DATADIR%%/sounds/water/atmo.ogg
+%%DATADIR%%/sounds/water/exit.wav
+%%DATADIR%%/sounds/water/link.wav
+%%DATADIR%%/sounds/water/magnet_action.wav
+%%DATADIR%%/sounds/water/magnet_off.wav
+%%DATADIR%%/sounds/water/magnet_on.wav
+%%DATADIR%%/sounds/water/magnet_start.wav
+%%DATADIR%%/sounds/water/part.wav
+%%DATADIR%%/sounds/water/unlink.wav
+%%DATADIR%%/sounds/water/wall.wav
+%%DATADIR%%/src/Config.py
+%%DATADIR%%/src/Config.pyc
+%%DATADIR%%/src/Effect.py
+%%DATADIR%%/src/Effect.pyc
+%%DATADIR%%/src/Input.py
+%%DATADIR%%/src/Input.pyc
+%%DATADIR%%/src/Krank.py
+%%DATADIR%%/src/Krank.pyc
+%%DATADIR%%/src/Level.py
+%%DATADIR%%/src/Level.pyc
+%%DATADIR%%/src/Main.py
+%%DATADIR%%/src/Math.py
+%%DATADIR%%/src/Math.pyc
+%%DATADIR%%/src/Part.py
+%%DATADIR%%/src/Part.pyc
+%%DATADIR%%/src/Player.py
+%%DATADIR%%/src/Player.pyc
+%%DATADIR%%/src/Sound.py
+%%DATADIR%%/src/Sound.pyc
+%%DATADIR%%/src/Sprite.py
+%%DATADIR%%/src/Sprite.pyc
+%%DATADIR%%/src/Tools.py
+%%DATADIR%%/src/Tools.pyc
+%%DATADIR%%/src/World.py
+%%DATADIR%%/src/World.pyc
+%%DATADIR%%/src/k.py
+%%DATADIR%%/src/k.pyc
+%%DATADIR%%/src/test.py
+share/pixmaps/krank.png
+@dirrm %%DATADIR%%/src
+@dirrm %%DATADIR%%/sounds/water
+@dirrm %%DATADIR%%/sounds/summer
+@dirrm %%DATADIR%%/sounds/space
+@dirrm %%DATADIR%%/sounds/menu
+@dirrm %%DATADIR%%/sounds/industry
+@dirrm %%DATADIR%%/sounds
+@dirrm %%DATADIR%%/levels/images
+@dirrm %%DATADIR%%/levels/icons
+@dirrm %%DATADIR%%/levels/backgrounds
+@dirrm %%DATADIR%%/levels
+@dirrm %%DATADIR%%/html/gfx
+@dirrm %%DATADIR%%/html
+@dirrm %%DATADIR%%/fonts
+@dirrm %%DATADIR%%/art
+@dirrm %%DATADIR%%
===> Done